Bio::MAGETAB::Comment(3)

NAME
Bio::MAGETAB::Comment - MAGE-TAB user-defined comment class

SYNOPSIS
 use Bio::MAGETAB::Comment;

DESCRIPTION
This class is used to store user-defined comments in MAGE-TAB. The MAGE-TAB specification indicates that these comments may be legally ignored by downstream data processing operations, and so therefore should not be used for experimental annotation purposes. See the BaseClass class for superclass methods.

ATTRIBUTES

name (required)
    The name of the comment, used to indicate the context in which the value may be interpreted (data type: String).

value (required)
    The actual value of the comment (data type: String)

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).